gnutls_x509_privkey_fix(3)

NAME
gnutls_x509_privkey_fix - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_privkey_fix(gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_privkey_t key
    Holds the key

DESCRIPTION
This function will recalculate the secondary parameters in a key. In RSA keys, this can be the coefficient and exponent1,2.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/